diff --git a/src/dbsql.c b/src/dbsql.c
index c863541..32ccce1 100644
--- a/src/dbsql.c
+++ b/src/dbsql.c
@@ -1259,6 +1259,12 @@ int db_getdata_range(dbdatalist **dbdata, dbdatalistinfo *listinfo, const char *
 	}
 	sqlite3_finalize(sqlstmt);
 
+	/* check whether db contains any data */
+	if (*dbdata == NULL) {
+		listinfo->count = 0;
+		return 0;
+	}
+
 	/* clean list on failure */
 	if (!ret) {
 		dbdatalistfree(dbdata);
